<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!--favicon-->
    <link rel="icon" type="image/x-icon" href="../images/FavicornLR.png">
    <link rel="stylesheet" href="../css/LoginPageV1.css" />
    <!--GOOGLE FONTS-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Serif+Display:ital@1&family=Libre+Baskerville:ital@1&family=Roboto:wght@300&display=swap"
        rel="stylesheet">
    <!--LINKS FOR FOOTER ICONS-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body class="lightMode darkMode">

    <!----------------------HEADER---------------------->
    <header class="header"> <!--header - work as a container of the navbar-->
        <nav class="navbar">

            <a href="../index.html" class="nav-logo">LeafyRetreat</a>
            <ul class="nav-menu">
                <li class="nav-item">
                    <a href="../index.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item">
                    <a href="../html/GalleryPageV1.html" class="nav-link">Gallery</a>
                </li>
                <li class="nav-item">
                    <a href="../html/LoginPageV1.html" class="nav-link">Login</a>
                </li>

            </ul>
            <div class="hamburger">
                <span class="bar"></span>
                <span class="bar"></span>
                <span class="bar"></span>
            </div>
        </nav>
    </header>

    <h1>Ready, Set Grow!</h1>

    <!----------------------LOGIN---------------------->
    <div class="login-form">

        <input type="text" id="username" placeholder="Username">
        <input type="password" id="password" placeholder="Password"> <!--get element by id - Password"-->
        <button onclick="checkLogin()">Login</button>

    </div>
    </div>

    <!----------------------FOOTER---------------------->
    <div class="footer">
        <p> Website Designed & Created by someone who loves plants @2023</p>
        <p>Visit Us: 120 Old Street, London EC1V 9BD</p>
        <!-------FOOTER ICONS------->
        <a href="#" class="fa fa-facebook"></a>
        <a href="#" class="fa fa-twitter"></a>
        <a href="#" class="fa fa-instagram"></a>
    </div>

    <script>

        if (sessionStorage.getItem("mode") == "dark") {  //checks the session storage in the log-in page if dark mode was on or off
            darkmode(); //if dark mode was on, run this function
        } else {
            nodark(); //else run this function
        }

        function darkmode() { //function for checkbox when checkbox is checked
            document.body.classList.add("darkMode"); //adding dark mode to the body
            //sessionStorage.setItem("mode", "dark"); //mode is the key and dark is value - store a name & value to know that dark mode is on
        }

        function nodark() { //function for checkbox when checkbox is not checked
            document.body.classList.remove("darkMode"); //remove added class from body tag
            //sessionStorage.setItem("mode", "light"); //store a name & value to know that dark mode is off or light mode is on
        }
    </script>

    <script src="../javascript/NavBar.js"></script>
    <script src="../javascript/LogInPass.js"></script>

</body>

</html>